Gecode::Int::Element::PairValues Class Reference

Value iterator for pair of iterators. More...

## Constructors and initialization

| PairValues (IntView x, IntView y, int w)
| Initialize with views x and y and width w.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

Value iterator for pair of iterators.

Definition at line 44 of file pair.cpp.

## Constructor & Destructor Documentation

## PairValues()

Gecode::Int::Element::PairValues::PairValues | ( | IntView | x,
|  | IntView | y,
|  | int | w )

inline

Initialize with views x and y and width w.

Definition at line 77 of file pair.cpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::Element::PairValues::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 87 of file pair.cpp.

## operator++()

void Gecode::Int::Element::PairValues::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 80 of file pair.cpp.

## val()

int Gecode::Int::Element::PairValues::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 91 of file pair.cpp.

The documentation for this class was generated from the following file:

- gecode/int/element/pair.cpp